=== debian/changelog ===
gr-fosphor (3.9~git20240323.74d54fc-1build9) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:55:46 +0200

gr-fosphor (3.9~git20240323.74d54fc-1build8) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:54:07 +0200

gr-fosphor (3.9~git20240323.74d54fc-1build7) questing; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:54:13 -0400

gr-fosphor (3.9~git20240323.74d54fc-1build6) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 14:43:30 +0000

gr-fosphor (3.9~git20240323.74d54fc-1build5) plucky; urgency=medium

  * No-change rebuild for libspdlog1.15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 26 Jan 2025 11:19:14 +0000

gr-fosphor (3.9~git20240323.74d54fc-1build4) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:36 +0100

gr-fosphor (3.9~git20240323.74d54fc-1build3) plucky; urgency=medium

  * Rebuild against latest spdlog

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 10:26:22 -0500

gr-fosphor (3.9~git20240323.74d54fc-1build2) oracular; urgency=medium

  * No-change rebuild for gnuradio-3.10.11.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Jul 2024 08:00:25 +0100

gr-fosphor (3.9~git20240323.74d54fc-1build1) oracular; urgency=high

  * No change rebuild against gnuradio.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 May 2024 10:25:33 +0200

gr-fosphor (3.9~git20240323.74d54fc-1) unstable; urgency=medium

  * New upstream commit.
    README.md file
  * Update standards version to 4.7.0, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Apr 2024 18:52:35 +0000
