=== debian/control ===
Source: gr-fosphor
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 13),
	       dh-python,
               doxygen,
               gnuradio-dev (>=3.9),
	       graphviz,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfreetype-dev,
               libgl-dev,
               libglfw3-dev,
	       libgmp-dev,
               liblog4cpp5-dev,
	       libqt5opengl5-dev,
               ocl-icd-opencl-dev | nvidia-opencl-dev [amd64 arm64 ppc64el],
	       opencl-headers,
               pkgconf,
	       python3-dev,
	       python3-numpy,
	       qt5-qmake,
	       qtbase5-dev,
	       qttools5-dev
Standards-Version: 4.7.0
Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-fosphor
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-fosphor.git

Package: gr-fosphor
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, gnuradio-dev,
         libgnuradio-fosphor3.9.0  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio fosphor block (GPU spectrum display)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 To use the fosphor blocks in Python, import it as :
 .
 from gnuradio import fosphor
 .
 See the Doxygen documentation for details about the blocks available
 in this package. A quick listing of the details can be found in Python
 after importing by using:
 .
 help(fosphor)

Package: libgnuradio-fosphor3.9.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fosphor
Description: gnuradio fosphor block (GPU spectrum display) (library)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 This package provides a shared library.
